Bug 1271061 - [abrt] setroubleshoot-server: g_callable_info_free_closure(): python3.4 killed by SIGSEGV [NEEDINFO]
[abrt] setroubleshoot-server: g_callable_info_free_closure(): python3.4 kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2a9a975c043297cd7bf02b8bb5d...
: Reopened
: 1271323 (view as bug list)
Depends On:
Blocks: F23FinalBlocker
  Show dependency treegraph
 
Reported: 2015-10-13 01:41 EDT by Rob Tomsick
Modified: 2015-11-19 07:55 EST (History)
30 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-152.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 05:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (john.j5live)


Attachments (Terms of Use)
File: backtrace (122.24 KB, text/plain)
2015-10-13 01:41 EDT, Rob Tomsick
no flags Details
File: cgroup (188 bytes, text/plain)
2015-10-13 01:41 EDT, Rob Tomsick
no flags Details
File: core_backtrace (7.80 KB, text/plain)
2015-10-13 01:41 EDT, Rob Tomsick
no flags Details
File: dso_list (9.95 KB, text/plain)
2015-10-13 01:41 EDT, Rob Tomsick
no flags Details
File: environ (88 bytes, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: maps (46.66 KB, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: open_fds (471 bytes, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
File: proc_pid_status (1001 bytes, text/plain)
2015-10-13 01:42 EDT, Rob Tomsick
no flags Details
messages when running with enforcing enabled (from audit.log) (18.51 KB, text/plain)
2015-10-19 19:22 EDT, Adam Williamson
no flags Details

  None (edit)
Description Rob Tomsick 2015-10-13 01:41:51 EDT
Description of problem:
Whenever I open the SELinux Alert Browser, I get an alert listed with the "The source process", "Attempted this access" and "On this file" fields all populated with "label".  Clicking Details or Delete causes the reported crash (although the Alert Browser UI does not disappear).  Basically, the Alert Browser appears to be totally non-functional for me.

Version-Release number of selected component:
setroubleshoot-server-3.3.1-0.2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
crash_function: g_callable_info_free_closure
executable:     /usr/bin/python3.4
global_pid:     13529
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            988

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_callable_info_free_closure at girepository/girffi.c:426
 #1 _pygi_invoke_closure_free at pygi-closure.c:637
 #2 g_source_callback_unref at gmain.c:1561
 #3 g_source_destroy_internal at gmain.c:1207
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525
 #10 pygi_invoke_c_callable at pygi-invoke.c:645
 #11 pygi_function_cache_invoke at pygi-cache.c:820
 #12 pygi_callable_info_invoke at pygi-invoke.c:688
 #13 _wrap_g_callable_info_invoke at pygi-invoke.c:725

Potential duplicate: bug 1267685
Comment 1 Rob Tomsick 2015-10-13 01:41:55 EDT
Created attachment 1082255 [details]
File: backtrace
Comment 2 Rob Tomsick 2015-10-13 01:41:56 EDT
Created attachment 1082256 [details]
File: cgroup
Comment 3 Rob Tomsick 2015-10-13 01:41:58 EDT
Created attachment 1082257 [details]
File: core_backtrace
Comment 4 Rob Tomsick 2015-10-13 01:41:59 EDT
Created attachment 1082258 [details]
File: dso_list
Comment 5 Rob Tomsick 2015-10-13 01:42:00 EDT
Created attachment 1082259 [details]
File: environ
Comment 6 Rob Tomsick 2015-10-13 01:42:01 EDT
Created attachment 1082260 [details]
File: exploitable
Comment 7 Rob Tomsick 2015-10-13 01:42:02 EDT
Created attachment 1082261 [details]
File: limits
Comment 8 Rob Tomsick 2015-10-13 01:42:04 EDT
Created attachment 1082262 [details]
File: maps
Comment 9 Rob Tomsick 2015-10-13 01:42:05 EDT
Created attachment 1082263 [details]
File: mountinfo
Comment 10 Rob Tomsick 2015-10-13 01:42:06 EDT
Created attachment 1082264 [details]
File: open_fds
Comment 11 Rob Tomsick 2015-10-13 01:42:08 EDT
Created attachment 1082265 [details]
File: proc_pid_status
Comment 12 Dr. David Alan Gilbert 2015-10-14 15:15:46 EDT
I hit another instance of this which abrt reckons is the same bug as this; for me it happened as an se message appeared after quitting skype.
Comment 13 Fedora Blocker Bugs Application 2015-10-17 07:34:39 EDT
Proposed as a Blocker for 23-final by Fedora user juliuxpigface using the blocker tracking app because:

 With the TC11 Final TC, Setroubleshot's GUI appears to be non-functional, as noted by the original reporter. Given that is a default application of a release blocking desktop (Gnome), it violates the "2.4.6 Default application functionality" Final Criteria.

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."
Comment 14 Adam Williamson 2015-10-19 12:49:31 EDT
Reproduced here.
Comment 15 Stephen Gallagher 2015-10-19 12:54:09 EDT
I can reproduce this issue, but I also see that it doesn't happen in permissive mode, which implies that there is an SELinux policy error at fault.
Comment 16 Stephen Gallagher 2015-10-19 12:56:23 EDT
 sgallagh  ~  sudo audit2why -a |grep setrouble
type=AVC msg=audit(1445002844.067:511): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:512): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:513): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:514): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:515): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:516): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:517): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:518): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.067:519): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:520): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:521): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:522): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:523): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:524): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:525): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:526): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:527): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.068:528): avc:  denied  { write } for  pid=1597 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:530): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:531): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:532): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:533): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:534): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:535): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:536): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:537): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002844.429:538): avc:  denied  { write } for  pid=2002 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.440:643): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.440:644): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:645): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:646): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:647): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:648): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:649): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:650): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:651): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:652): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:653): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:654): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:655): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:656): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:657): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:658): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:659): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.441:660): avc:  denied  { write } for  pid=3546 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:661): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:662): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:663): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:664): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:665): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:666): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.471:667): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.472:668): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445002884.472:669): avc:  denied  { write } for  pid=3548 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1161): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1162): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1163): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1164): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1165): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.841:1166): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1167): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1168): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1169): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1170): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1171): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1172): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1173): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1174): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1175): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1176): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1177): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021712.842:1178): avc:  denied  { write } for  pid=27744 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1192): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1193): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1194): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1195): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1196): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1197): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.891:1198): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.892:1199): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021713.892:1200): avc:  denied  { write } for  pid=27749 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1238): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1239): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1240): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1241): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1242): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1243): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1244): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1245): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.625:1246): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1247): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1248): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1249): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1250): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1251): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1252): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1253): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1254): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021737.626:1255): avc:  denied  { write } for  pid=29186 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.668:1259): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.668:1260): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.668:1261): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.668:1262): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1263): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1264): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1265): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1266): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1267): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1268): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1269): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1270): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1271): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1272): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1273): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1274): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1275): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.669:1276): avc:  denied  { write } for  pid=29251 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1277): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1278): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1279): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1280): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1281): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1282): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1283): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=14343 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1284): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="tmpfs" ino=13146 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445021745.903:1285): avc:  denied  { write } for  pid=29254 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:574): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:575): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:576): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:577): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:578): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:579): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:580): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:581): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.507:582): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:583): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:584): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:585): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:586): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:587): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:588): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:589): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:590): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.508:591): avc:  denied  { write } for  pid=2183 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:592): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:593): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:594): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:595): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:596): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.563:597): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.564:598): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=10304 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.564:599): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="tmpfs" ino=12698 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445027910.564:600): avc:  denied  { write } for  pid=2367 comm="setroubleshootd" name="/" dev="mqueue" ino=9583 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1670): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1671): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1672): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1673): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1674): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1675): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1676): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1677): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1678): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1679): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1680): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1681): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1682): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1683): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1684): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1685): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.490:1686): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273219.489:1669): avc:  denied  { write } for  pid=13238 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.371:1692): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.371:1693): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.371:1694): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1695): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1696): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1697): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1698): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1699): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1700): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1701): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1702): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1703): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1704): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1705): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1706): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1707): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1708): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273410.372:1709): avc:  denied  { write } for  pid=13904 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1710): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1711): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="tmp" dev="dm-1" ino=917525 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1712): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1713): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1714): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1715): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1716): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=13319 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1717): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273411.417:1718): avc:  denied  { write } for  pid=13908 comm="setroubleshootd" name="/" dev="mqueue" ino=10588 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
type=AVC msg=audit(1445273482.311:1732): avc:  denied  { write } for  pid=14513 comm="setroubleshootd" name="/" dev="tmpfs" ino=8457 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=1
type=AVC msg=audit(1445273482.311:1733): avc:  denied  { add_name } for  pid=14513 comm="setroubleshootd" name="ffiItSOER" scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=1
type=AVC msg=audit(1445273482.311:1734): avc:  denied  { create } for  pid=14513 comm="setroubleshootd" name="ffiItSOER" scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=file permissive=1
type=AVC msg=audit(1445273482.311:1735): avc:  denied  { open } for  pid=14513 comm="setroubleshootd" path="/tmp/ffiItSOER" dev="tmpfs" ino=723548 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=file permissive=1
type=AVC msg=audit(1445273482.311:1736): avc:  denied  { remove_name } for  pid=14513 comm="setroubleshootd" name="ffiItSOER" dev="tmpfs" ino=723548 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=1
type=AVC msg=audit(1445273482.311:1737): avc:  denied  { unlink } for  pid=14513 comm="setroubleshootd" name="ffiItSOER" dev="tmpfs" ino=723548 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=file permissive=1
type=AVC msg=audit(1445273482.311:1738): avc:  denied  { execute } for  pid=14513 comm="setroubleshootd" path=2F746D702F6666694974534F4552202864656C6574656429 dev="tmpfs" ino=723548 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=file permissive=1
Comment 17 Petr Lautrbach 2015-10-19 14:22:47 EDT
Something tries to create files in /tmp or /var/tmp or /dev/shm

time->Mon Oct 19 20:20:29 2015
type=PROCTITLE msg=audit(1445278829.159:494): proctitle=2F7573722F62696E2F707974686F6E33002D4573002F7573722F7362696E2F736574726F75626C6573686F6F7464002D66
type=PATH msg=audit(1445278829.159:494): item=1 name="/tmp/ffiRjZYYG" nametype=CREATE
type=PATH msg=audit(1445278829.159:494): item=0 name="/tmp/" inode=13707 dev=00:25 mode=041777 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0 nametype=PARENT
type=CWD msg=audit(1445278829.159:494):  cwd="/"
type=SYSCALL msg=audit(1445278829.159:494): arch=c000003e syscall=2 success=no exit=-13 a0=7ffe393aeda0 a1=c2 a2=180 a3=ffffffffff7ff000 items=2 ppid=1 pid=1302 auid=4294
967295 uid=991 gid=986 euid=991 suid=991 fsuid=991 egid=986 sgid=986 fsgid=986 tty=(none) ses=4294967295 comm="setroubleshootd" exe="/usr/bin/python3.4" subj=system_u:sys
tem_r:setroubleshootd_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1445278829.159:494): avc:  denied  { write } for  pid=1302 comm="setroubleshootd" name="/" dev="tmpfs" ino=13707 scontext=system_u:system_r:setroublesh
ootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
----
time->Mon Oct 19 20:20:29 2015
type=PROCTITLE msg=audit(1445278829.160:495): proctitle=2F7573722F62696E2F707974686F6E33002D4573002F7573722F7362696E2F736574726F75626C6573686F6F7464002D66
type=PATH msg=audit(1445278829.160:495): item=1 name="/var/tmp/ffivE7UM3" nametype=CREATE
type=PATH msg=audit(1445278829.160:495): item=0 name="/var/tmp/" inode=26261604 dev=fc:03 mode=041777 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0 nametype=PAR
ENT
type=CWD msg=audit(1445278829.160:495):  cwd="/"
type=SYSCALL msg=audit(1445278829.160:495): arch=c000003e syscall=2 success=no exit=-13 a0=7ffe393aed90 a1=c2 a2=180 a3=0 items=2 ppid=1 pid=1302 auid=4294967295 uid=991 
gid=986 euid=991 suid=991 fsuid=991 egid=986 sgid=986 fsgid=986 tty=(none) ses=4294967295 comm="setroubleshootd" exe="/usr/bin/python3.4" subj=system_u:system_r:setrouble
shootd_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1445278829.160:495): avc:  denied  { write } for  pid=1302 comm="setroubleshootd" name="tmp" dev="vda3" ino=26261604 scontext=system_u:system_r:setroub
leshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir permissive=0
----
time->Mon Oct 19 20:20:29 2015
type=PROCTITLE msg=audit(1445278829.161:496): proctitle=2F7573722F62696E2F707974686F6E33002D4573002F7573722F7362696E2F736574726F75626C6573686F6F7464002D66
type=PATH msg=audit(1445278829.161:496): item=1 name="/dev/shm/ffiOMEYAq" nametype=CREATE
type=PATH msg=audit(1445278829.161:496): item=0 name="/dev/shm/" inode=8609 dev=00:13 mode=041777 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmpfs_t:s0 nametype=PAREN
T
type=CWD msg=audit(1445278829.161:496):  cwd="/"
type=SYSCALL msg=audit(1445278829.161:496): arch=c000003e syscall=2 success=no exit=-13 a0=7ffe393aed90 a1=c2 a2=180 a3=0 items=2 ppid=1 pid=1302 auid=4294967295 uid=991 
gid=986 euid=991 suid=991 fsuid=991 egid=986 sgid=986 fsgid=986 tty=(none) ses=4294967295 comm="setroubleshootd" exe="/usr/bin/python3.4" subj=system_u:system_r:setrouble
shootd_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1445278829.161:496): avc:  denied  { write } for  pid=1302 comm="setroubleshootd" name="/" dev="tmpfs" ino=8609 scontext=system_u:system_r:setroublesho
otd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir permissive=0
Comment 18 Petr Lautrbach 2015-10-19 14:28:25 EDT
And it's related to python3. The same code in /usr/sbin/setroubleshootd running with /usr/bin/python doesn't do that.
Comment 19 Adam Williamson 2015-10-19 15:47:22 EDT
Discussed at 2015-10-19 blocker review meeting: https://meetbot.fedoraproject.org/fedora-blocker-review/2015-10-19/f23-blocker-review.2015-10-19-16.00.html . Accepted as a blocker per criterion cited in #c13.
Comment 20 Adam Williamson 2015-10-19 19:21:34 EDT
Well, I see some of those /tmp creation errors too, but sometimes I seem to get a run where the same problem happens but I don't get any AVCs like that. I always get AVCs like this, though:

type=AVC msg=audit(1445296712.421:4496): avc:  denied  { getattr } for  pid=1083 comm="abrt-hook-ccpp" path="ipc:[4026531839]" dev="nsfs" ino=4026531839 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file permissive=0

Will attach a dump of all the AVCs I get in audit.log when running with enforcing.
Comment 21 Adam Williamson 2015-10-19 19:22 EDT
Created attachment 1084554 [details]
messages when running with enforcing enabled (from audit.log)
Comment 22 Petr Lautrbach 2015-10-20 01:55:32 EDT
(In reply to awilliam@redhat.com from comment #20)
> Well, I see some of those /tmp creation errors too, but sometimes I seem to
> get a run where the same problem happens but I don't get any AVCs like that.
> I always get AVCs like this, though:
> 
> type=AVC msg=audit(1445296712.421:4496): avc:  denied  { getattr } for 
> pid=1083 comm="abrt-hook-ccpp" path="ipc:[4026531839]" dev="nsfs"
> ino=4026531839 scontext=system_u:system_r:abrt_dump_oops_t:s0
> tcontext=system_u:object_r:unlabeled_t:s0 tclass=file permissive=0
> 
> Will attach a dump of all the AVCs I get in audit.log when running with
> enforcing.

This seems to be this bug https://bugzilla.redhat.com/show_bug.cgi?id=1245477
Comment 23 Petr Lautrbach 2015-10-20 02:03:25 EDT
There are two issues:

1. pygobject3 should correctly handle states when it can't create its internal files

2. selinux-policy could be extended with rules which allow pygobject3 to do what  it wants to do since the setroubleshoot code which cases AVCs seems to be correct:

setroubleshoot/rpc.py:

 596     def io_watch_add(self, callback):
 597         '''callback signature: (io_object, io_condition)'''
 598         self.io_watch_remove()
 599         self.io_watch_id = GLib.io_add_watch(self.socket_address.socket,
 600                                              GLib.PRIORITY_DEFAULT,
 601                                              self.io_input_conditions, callback)
Comment 24 Petr Lautrbach 2015-10-20 02:04:16 EDT
*** Bug 1267685 has been marked as a duplicate of this bug. ***
Comment 25 Miroslav Grepl 2015-10-20 04:05:32 EDT
The problem is we also get

type=SYSCALL msg=audit(1445321947.710:1094): arch=c000003e syscall=9 success=no exit=-13 a0=0 a1=1000 a2=5 a3=1 items=0 ppid=1 pid=5086 auid=4294967295 uid=984 gid=977 euid=984 suid=984 fsuid=984 egid=977 sgid=977 fsgid=977 tty=(none) ses=4294967295 comm="setroubleshootd" exe="/usr/bin/python3.4" subj=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 key=(null)

type=AVC msg=audit(1445321947.710:1094): avc:  denied  { execute } for  pid=5086 comm="setroubleshootd" path=2F746D702F666669376556485948202864656C6574656429 dev="tmpfs" ino=55028 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:setroubleshootd_tmp_t:s0 tclass=file permissive=0

So the question is why "execute" permission is needed here?
Comment 26 Petr Lautrbach 2015-10-20 09:26:51 EDT
*** Bug 1271323 has been marked as a duplicate of this bug. ***
Comment 27 Daniel Walsh 2015-10-20 12:06:30 EDT
It looks like python3 is generating a shared memory segment that it needs to execute.  I think you have to allow this.
Comment 28 Colin Walters 2015-10-20 12:38:04 EDT
It's likely GLib using libffi for signal handlers.  See https://git.gnome.org/browse/glib/commit/?id=88ab35f3cb6127036361e421987a127bddb989c8
Comment 29 Miroslav Grepl 2015-10-21 05:05:06 EDT
(In reply to Colin Walters from comment #28)
> It's likely GLib using libffi for signal handlers.  See
> https://git.gnome.org/browse/glib/commit/
> ?id=88ab35f3cb6127036361e421987a127bddb989c8

Ok we will see it also for others and it means we will need to allow "execute" on files which are writeable if libffi is used.

I don't see as a big problem for setroubleshootd where it runs as setroubleshoot user and setroubleshootd_t does not have a big impact on a system.

Moving back to selinux-policy to add rules for it and then we should create a RFE bug for setroublehoot with a request to rewrite it to dbus and avoid this issue.

Thank you guys for analysis.
Comment 30 Vít Ondruch 2015-10-21 07:33:01 EDT
> Fixed In Version: selinux-policy-3.13.1-152.fc23

Will there be Rawhide package soonish?
Comment 31 Fedora Update System 2015-10-21 07:42:27 EDT
selinux-policy-3.13.1-152.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-456c6b6cb4
Comment 32 Kamil Páral 2015-10-22 06:36:31 EDT
The feedback in the bodhi update says this is fixed, setting to VERIFIED.
Comment 33 Fedora Update System 2015-10-24 08:09:59 EDT
selinux-policy-3.13.1-152.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-456c6b6cb4
Comment 34 Fedora Update System 2015-10-24 08:24:20 EDT
selinux-policy-3.13.1-152.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Vít Ondruch 2015-10-26 05:29:47 EDT
Sorry, this is not fixed for Rawhide, where it should be fixed first and was reported first (bug 1267685).
Comment 36 Miroslav Grepl 2015-10-26 05:38:49 EDT
Well you reopened the F23 bug. Closing back it.

 We have fixes in rawhide and a new build will be done ASAP we fix another issues.
Comment 37 Vít Ondruch 2015-10-26 05:45:37 EDT
(In reply to Miroslav Grepl from comment #36)
You marked my Rawhide bug as a duplicate of this one, perhaps you should not mark it then ... Anyway, thx for explanation. I'll wait.

Note You need to log in before you can comment on or make changes to this bug.